#include<bits/stdc++.h>
using namespace std;
const int Maxn=250060;
long long Ans;
int a[Maxn],b[Maxn];
int Max(int p,int q)
{
	int maxa=0,maxb=0;
	for(int i=p;i<=q;i++) maxa=max(maxa,a[i]);
	for(int i=p;i<=q;i++) maxb=max(maxb,b[i]);
	return(maxa*maxb);
}
int main()
{
	freopen("match.in","r",stdin);
	freopen("match.out","w",stdout);
	int T,n; cin>>T>>n;
	for(int i=1;i<=n;i++) cin>>a[i];
	for(int i=1;i<=n;i++) cin>>b[i];
	int Q; cin>>Q;
	for(int i=1;i<=Q;i++)
	{
		Ans=0;
		int l,r;
		cin>>l>>r;
		for(int p=l;p<=r;p++)
		{
			for(int q=l;q<=r;q++)
				Ans+=Max(p,q);
		}
		cout<<Ans<<endl;
	}
	fclose(stdin); fclose(stdout);
	return 0;
}